Debian Bug report logs - #497165
amiga-fdisk-cross is not being built on any architecture other than i386

version graph

Package: amiga-fdisk-cross; Maintainer for amiga-fdisk-cross is Christian T. Steigies <cts@debian.org>; Source for amiga-fdisk-cross is src:amiga-fdisk.

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Sat, 30 Aug 2008 12:06:05 UTC

Severity: normal

Found in version amiga-fdisk/0.04-12

Fixed in version amiga-fdisk/0.04-13

Done: cts@debian.org (Christian T. Steigies)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to cts@debian.org (Christian T. Steigies). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: amiga-fdisk-cross is not being built on any architecture other than i386
Date: Sat, 30 Aug 2008 13:04:26 +0100
Package: amiga-fdisk-cross
Version: 0.04-12

Not a bug in amiga-fdisk itself, but a Debian buildd issue that needs sorting

On 16 Jan 2008, armel was added to the architecture list for
amiga-fdisk-cross (bug #461081)
but, despite being enabled for 12 architectures, the package has not
been built for anything but i386.

I am guessing this is due to being included in the various buildd
admins' Not-For-Us lists - can you poke them?

Cheers!




Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. (Wed, 08 Oct 2008 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). (Wed, 08 Oct 2008 19:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 497165@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Christian T. Steigies" <cts@debian.org>
Cc: 497165@bugs.debian.org
Subject: Re: [martinwguy@yahoo.it: Bug#497165: amiga-fdisk-cross is not being built on any architecture other than i386]
Date: Wed, 8 Oct 2008 22:09:58 +0200 (CEST)
>> could the buildd admins please enable building for amiga-fdisk and upload
>> the resulting packages (powerpc has been built, but it seems it was never
>> uploaded).
> Second, you need to get amiga-fdisk removed from packages-arch-specific
> to have it built by the buildds, see
> http://cvs.debian.org/srcdep/Packages-arch-specific?root=dak&view=markup
> and the contact addresses at the top of that file.

And third, what about change Architecture line
of amiga-fdisk-cross into any ?

Currently, it wouldn't be build at least on kfreebsd-i386, 
kfreebsd-amd64, hurd-i386, m32r, ppc64 without obvious reason.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. (Wed, 08 Oct 2008 20:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Christian T. Steigies" <cts@debian.org>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). (Wed, 08 Oct 2008 20:30:02 GMT) Full text and rfc822 format available.

Message #15 received at 497165@bugs.debian.org (full text, mbox):

From: "Christian T. Steigies" <cts@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 497165@bugs.debian.org
Subject: Re: Bug#497165: [martinwguy@yahoo.it: Bug#497165: amiga-fdisk-cross is not being built on any architecture other than i386]
Date: Wed, 8 Oct 2008 22:28:00 +0200
On Wed, Oct 08, 2008 at 10:09:58PM +0200, Petr Salinger wrote:
> >>could the buildd admins please enable building for amiga-fdisk and upload
> >>the resulting packages (powerpc has been built, but it seems it was never
> >>uploaded).
> >Second, you need to get amiga-fdisk removed from packages-arch-specific
> >to have it built by the buildds, see
> >http://cvs.debian.org/srcdep/Packages-arch-specific?root=dak&view=markup
> >and the contact addresses at the top of that file.

It seems I was not precise enough, amiga-fdisk (the source) builds
amiga-fdisk for amiga and powerpc only, and it builds amiga-fdisk-cross for
(nearly) every other arch.
 
> And third, what about change Architecture line
> of amiga-fdisk-cross into any ?
> 
> Currently, it wouldn't be build at least on kfreebsd-i386, 
> kfreebsd-amd64, hurd-i386, m32r, ppc64 without obvious reason.

It would also not be built on m68k and powerpc, because for these arches the
native package is being built. Can I change the Architecture line to any but
m68k and powerpc?

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. (Thu, 09 Oct 2008 05:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). (Thu, 09 Oct 2008 05:12:08 GMT) Full text and rfc822 format available.

Message #20 received at 497165@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Christian T. Steigies" <cts@debian.org>
Cc: 497165@bugs.debian.org
Subject: Re: Bug#497165: [martinwguy@yahoo.it: Bug#497165: amiga-fdisk-cross is not being built on any architecture other than i386]
Date: Thu, 9 Oct 2008 07:25:17 +0200 (CEST)
>> Currently, it wouldn't be build at least on kfreebsd-i386,
>> kfreebsd-amd64, hurd-i386, m32r, ppc64 without obvious reason.
>
> It would also not be built on m68k and powerpc, because for these arches the
> native package is being built. Can I change the Architecture line to any but
> m68k and powerpc?

Would be problem to build amiga-fdisk-cross even on native arches ?

You could also use debhelper -Namiga-fdisk-cross on them,
by something like

ifeq (,$(filter-out m68k powerpc,$(DEB_HOST_ARCH_CPU)))
 DH_EXTRAS=-Namiga-fdisk-cross
endif

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. (Fri, 10 Oct 2008 09:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Christian T. Steigies" <cts@debian.org>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). (Fri, 10 Oct 2008 09:18:19 GMT) Full text and rfc822 format available.

Message #25 received at 497165@bugs.debian.org (full text, mbox):

From: "Christian T. Steigies" <cts@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 497165@bugs.debian.org
Cc: "Christian T. Steigies" <cts@debian.org>
Subject: Re: Bug#497165: [martinwguy@yahoo.it: Bug#497165: amiga-fdisk-cross is not being built on any architecture other than i386]
Date: Fri, 10 Oct 2008 11:14:52 +0200
On Thu, Oct 09, 2008 at 07:25:17AM +0200, Petr Salinger wrote:
> >>Currently, it wouldn't be build at least on kfreebsd-i386,
> >>kfreebsd-amd64, hurd-i386, m32r, ppc64 without obvious reason.
> >
> >It would also not be built on m68k and powerpc, because for these arches 
> >the
> >native package is being built. Can I change the Architecture line to any 
> >but
> >m68k and powerpc?
> 
> Would be problem to build amiga-fdisk-cross even on native arches ?

Cross indicates that this is not the native fdisk program for the
architecture. IIRC there is no difference in the code, but the resulting
packages have different priorities.
 
> You could also use debhelper -Namiga-fdisk-cross on them,
> by something like
> 
> ifeq (,$(filter-out m68k powerpc,$(DEB_HOST_ARCH_CPU)))
>  DH_EXTRAS=-Namiga-fdisk-cross
> endif

That is something I could try, but I might prefer to list all arches
manually. After all, the arches should not change every other day?

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, cts@debian.org (Christian T. Steigies):
Bug#497165; Package amiga-fdisk-cross. (Thu, 12 Mar 2009 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to cts@debian.org (Christian T. Steigies). (Thu, 12 Mar 2009 14:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 497165@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@yahoo.it>
To: 497165@bugs.debian.org
Date: Thu, 12 Mar 2009 14:04:29 +0000
> That is something I could try, but I might prefer to list all arches
> manually. After all, the arches should not change every other day?

-1

The most time-consuming, error-prone and tedious part of the armel
port was identifying all the packages that had
[long-list-of-arches-except-one-or-two] and contacting the maintainers
to make a trivial fix, as well as having a latency of months.
The -N suggestion is a good thing for all future ports (as well as
being a case of saying what you mean, rather than not saying what you
don't mean :)




Reply sent to cts@debian.org (Christian T. Steigies):
You have taken responsibility. (Wed, 05 Aug 2009 22:33:05 GMT) Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. (Wed, 05 Aug 2009 22:33:06 GMT) Full text and rfc822 format available.

Message #35 received at 497165-close@bugs.debian.org (full text, mbox):

From: cts@debian.org (Christian T. Steigies)
To: 497165-close@bugs.debian.org
Subject: Bug#497165: fixed in amiga-fdisk 0.04-13
Date: Wed, 05 Aug 2009 22:02:57 +0000
Source: amiga-fdisk
Source-Version: 0.04-13

We believe that the bug you reported is fixed in the latest version of
amiga-fdisk, which is due to be installed in the Debian FTP archive:

amiga-fdisk-cross_0.04-13_amd64.deb
  to pool/main/a/amiga-fdisk/amiga-fdisk-cross_0.04-13_amd64.deb
amiga-fdisk_0.04-13.diff.gz
  to pool/main/a/amiga-fdisk/amiga-fdisk_0.04-13.diff.gz
amiga-fdisk_0.04-13.dsc
  to pool/main/a/amiga-fdisk/amiga-fdisk_0.04-13.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497165@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian T. Steigies <cts@debian.org> (supplier of updated amiga-fdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Aug 2009 20:29:46 +0200
Source: amiga-fdisk
Binary: amiga-fdisk amiga-fdisk-bf amiga-fdisk-cross
Architecture: source amd64
Version: 0.04-13
Distribution: unstable
Urgency: low
Maintainer: Christian T. Steigies <cts@debian.org>
Changed-By: Christian T. Steigies <cts@debian.org>
Description: 
 amiga-fdisk - Partition editor for Amiga
 amiga-fdisk-bf - Partition editor for Amiga (boot-floppies version)
 amiga-fdisk-cross - Partition editor for Amiga partitions (cross version)
Closes: 497165 540003
Changes: 
 amiga-fdisk (0.04-13) unstable; urgency=low
 .
   * change arch list for amiga-fdisk-cross to any (closes: #497165, #540003)
   * Updated Standards-Version to 3.8.2:
     place amiga-fdisk-bf in admin section instead of base,
     place amiga-fdisk-cross in otherosfs section
   * amiga-fdisk is now maintained via alioth, added Homepage
Checksums-Sha1: 
 c580a5ecf31c2f912919921787d3970ad98d732a 1083 amiga-fdisk_0.04-13.dsc
 8cf729b6658dba4ab7b6f6a6b6523bbe35377621 7338 amiga-fdisk_0.04-13.diff.gz
 26a82faab9314cdd9b227c4d5aa2b7d13024c8d0 19886 amiga-fdisk-cross_0.04-13_amd64.deb
Checksums-Sha256: 
 d258f0fc52d8fac93cfe6f829785b3a3aff545163c4ca306416d835b039370c0 1083 amiga-fdisk_0.04-13.dsc
 88477df8e1be4105a4133ffce127a5d7d9f3c33fb7092d9ab8c9f6cd2f972da6 7338 amiga-fdisk_0.04-13.diff.gz
 345f85d3ba4398ae23f0ca33aaa3799daee1ff42cb9a5e3706869545727396d9 19886 amiga-fdisk-cross_0.04-13_amd64.deb
Files: 
 c03f382b9c92495ca6e465ee16ae8b1c 1083 admin standard amiga-fdisk_0.04-13.dsc
 131d42f661f4620a67fc52ee49daa001 7338 admin standard amiga-fdisk_0.04-13.diff.gz
 e92d9182764178d728efb71948fcff44 19886 otherosfs extra amiga-fdisk-cross_0.04-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkp544YACgkQhWcuXd2lEoBU3QCgztwitGXVVPF0lIXzxEV7NEbP
WrkAn1qdOtqwohuTdIylGXeoE7GqBFCd
=Ejyr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Oct 2009 07:36:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:05:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.